#ifndef __UI_H
#define __UI_H
#include <libosso.h>
typedef struct _Adata Adata;
struct _Adata 
{
    GtkWidget *window;
    GtkWidget *table;

    GtkWidget *dmap;
    osso_context_t *osso;
    GtkWidget *entry_lat_start;
    GtkWidget *entry_lon_start;

    GtkWidget *entry_lat_end;
    GtkWidget *entry_lon_end;
    GtkWidget *entry_maptype;
    GtkWidget *label_curr_zoom;

};

void create_ui(Adata *adata);

#define NW "/usr/share/mapdownloader/pictures/nw_corner.png"
#define SE "/usr/share/mapdownloader/pictures/se_corner.png"
#define SER_NW "/usr/share/mapdownloader/pictures/ser_nw.png"
#define SER_SE "/usr/share/mapdownloader/pictures/ser_se.png"

#endif
